#!/bin/bash
set -e

source config

start=$(($(date +%s%N)/1000000))
log info "Run stream $1 started."

beeline --showStartEndTime=true -u jdbc:hive2://localhost:${PORT}/${DB} -f ${BUILD_DIR}/queries/query_$1.sql > ${LOG_DIR}/stream_$1.out 2> ${LOG_DIR}/stream_$1.err

end=$(($(date +%s%N)/1000000))
duration=$(( (end - start) / 1000))
sec=`bc <<< "scale=3; ($end - $start)/1000"`
elapse_time=`printf "%d:%02d:%02d, %s seconds" $(($duration / 3600)) $((($duration / 60) % 60)) $(($duration % 60)) $sec`
log info "Run stream $1 finished. Time token: $elapse_time"
